spandsp: modem_echo.h File Reference

spandsp 0.0.6

modem_echo.h File Reference
`#include "fir.h"`

Go to the source code of this file.

## Typedefs
typedef struct modem_echo_can_state_s | modem_echo_can_state_t

## Functions
modem_echo_can_state_t * | modem_echo_can_init (int len)
void | modem_echo_can_free (modem_echo_can_state_t *ec)
void | modem_echo_can_flush (modem_echo_can_state_t *ec)
void | modem_echo_can_adaption_mode (modem_echo_can_state_t *ec, int adapt)
int16_t | modem_echo_can_update (modem_echo_can_state_t *ec, int16_t tx, int16_t rx)

## Typedef Documentation

## ◆ modem_echo_can_state_t

typedef struct modem_echo_can_state_s modem_echo_can_state_t

Modem line echo canceller descriptor. This defines the working state for a line echo canceller.

## Function Documentation

## ◆ modem_echo_can_adaption_mode()

void modem_echo_can_adaption_mode | ( | modem_echo_can_state_t * | ec,
|  | int | adapt )

Set the adaption mode of a modem echo canceller context.

Parameters

  ec | The echo canceller context.
  adapt | The mode.

## ◆ modem_echo_can_flush()

void modem_echo_can_flush | ( | modem_echo_can_state_t * | ec | ) |

Flush (reinitialise) a modem echo canceller context.

Parameters

  ec | The echo canceller context.

References modem_echo_can_state_s::fir_taps16, and modem_echo_can_state_s::fir_taps32.

## ◆ modem_echo_can_free()

void modem_echo_can_free | ( | modem_echo_can_state_t * | ec | ) |

Free a modem echo canceller context.

Parameters

  ec | The echo canceller context.

References modem_echo_can_state_s::fir_taps16, and modem_echo_can_state_s::fir_taps32.

## ◆ modem_echo_can_init()

modem_echo_can_state_t * modem_echo_can_init | ( | int | len | ) |

Create a modem echo canceller context.

Parameters

  len | The length of the canceller, in samples. eturn The new canceller context, or NULL if the canceller could not be created.

References modem_echo_can_state_s::fir_taps16, and modem_echo_can_state_s::fir_taps32.

## ◆ modem_echo_can_update()

int16_t modem_echo_can_update | ( | modem_echo_can_state_t * | ec,
|  | int16_t | tx,
|  | int16_t | rx )

Process a sample through a modem echo canceller.

Parameters

  ec | The echo canceller context.
  tx | The transmitted audio sample.
  rx | The received audio sample. eturn The clean (echo cancelled) received sample.

References modem_echo_can_state_s::fir_taps16, and modem_echo_can_state_s::fir_taps32.